Subject: Re: bug#14732: Package dos-mode for ELPA

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Aug 2013 22:18:35 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Wed, 07 Aug 2013 14:11:31 -0400
> Cc: Arni Magnusson <[email-masked]>, [email-masked]
> 
> > Of course, I suppose that if I try to add support (font-locking.
> > mostly) for TCC, the proprietary command interpreter part of
> > TakeCommand, I will be shoot down, even if CMD itself is not exactly
> > free software...
> 
> Right, support for DOS/Windows batch files is indeed borderline in
> this respect.  I considered it acceptable on the basis that the GPL
> accepts linking with proprietary libraries as long as they are "part of
> the basic OS" and I think cmd.exe also fits this description of "the
> basic OS".

Look at that this way: you don't support cmd, you support people who
write batch files to build and run free software.

> That same argument wouldn't work for TCC.

Why does it work for csh, then?